[![Build Status](https://travis-ci.org/datalad-handbook/book.svg?branch=master)](https://travis-ci.org/datalad-handbook/book) [![Documentation Status](https://readthedocs.org/projects/datalad-handbook/badge/?version=latest)](http://handbook.datalad.org/en/latest/?badge=latest)
[![All Contributors](https://img.shields.io/badge/all_contributors-6-orange.svg?style=flat-square)](#contributors)

# The Datalad handbook :orange_book:

This is a living resource on why and - more importantly - *how* to use [DataLad](www.datalad.org).
The rendered version is [here](http://handbook.datalad.org): http://handbook.datalad.org, and is currently
under initial development.

The handbook is a practical, hands-on crashcourse to learn and experience DataLad.
You do not need to be a programmer, computer scientist, or Linux-crank. If you have never touched your computer's shell before, you will be fine. Regardless of your background and personal use cases for DataLad, the handbook will show you the principles of DataLad, and from chapter 1 onwards you will be using them.

## Contributing

Contributions in any form - pull requests, issues, content requests/ideas, ... are always welcome. If you are using the handbook and find that something does not work, please [let us know](https://github.com/datalad-handbook/book/issues/new). Likewise, if you are using DataLad for your individual project, consider contributing by telling us about your use-case. You can find out more on how to contribute [here](http://handbook.datalad.org/en/latest/contributing.html).

## License

CC-BY-SA: You are free to

- **share** - copy and redistribute the material in any medium or format
- **adapt** - remix, transform, and build upon the material for any purpose, even commercially

under the following terms:

1) **Attribution** — You must give appropriate credit, provide a link to the license, and indicate
 if changes were made. You may do so in any reasonable manner, but not in any way that suggests
 the licensor endorses you or your use.

2) **ShareAlike** — If you remix, transform, or build upon the material, you must distribute your
 contributions under the same license as the original.

<img src="https://raw.githubusercontent.com/datalad-handbook/book/master/artwork/logo.svg?sanitize=true" width="200" height="400">  

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore -->
<table>
  <tr>
    <td align="center"><a href="https://www.researchgate.net/profile/Adina_Wagner"><img src="https://avatars1.githubusercontent.com/u/29738718?v=4" width="100px;" alt="Adina Wagner"/><br /><sub><b>Adina Wagner</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/commits?author=adswa" title="Code">💻</a> <a href="#content-adswa" title="Content">🖋</a> <a href="https://github.com/datalad-handbook/book/commits?author=adswa" title="Documentation">📖</a> <a href="#design-adswa" title="Design">🎨</a> <a href="#ideas-adswa" title="Ideas, Planning, & Feedback">🤔</a> <a href="#infra-adswa" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#maintenance-adswa" title="Maintenance">🚧</a> <a href="#projectManagement-adswa" title="Project Management">📆</a> <a href="#review-adswa" title="Reviewed Pull Requests">👀</a> <a href="#userTesting-adswa" title="User Testing">📓</a></td>
    <td align="center"><a href="https://github.com/loj"><img src="https://avatars2.githubusercontent.com/u/15157717?v=4" width="100px;" alt="Laura Waite"/><br /><sub><b>Laura Waite</b></sub></a><br /><a href="#ideas-loj" title="Ideas, Planning, & Feedback">🤔</a> <a href="#maintenance-loj" title="Maintenance">🚧</a> <a href="#review-loj" title="Reviewed Pull Requests">👀</a> <a href="#talk-loj" title="Talks">📢</a> <a href="#question-loj" title="Answering Questions">💬</a> <a href="#content-loj" title="Content">🖋</a></td>
    <td align="center"><a href="http://psychoinformatics.de"><img src="https://avatars1.githubusercontent.com/u/136479?v=4" width="100px;" alt="Michael Hanke"/><br /><sub><b>Michael Hanke</b></sub></a><br /><a href="#question-mih" title="Answering Questions">💬</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Amih" title="Bug reports">🐛</a> <a href="https://github.com/datalad-handbook/book/commits?author=mih" title="Code">💻</a> <a href="#content-mih" title="Content">🖋</a> <a href="https://github.com/datalad-handbook/book/commits?author=mih" title="Documentation">📖</a> <a href="#design-mih" title="Design">🎨</a> <a href="#example-mih" title="Examples">💡</a> <a href="#ideas-mih" title="Ideas, Planning, & Feedback">🤔</a> <a href="#infra-mih" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#maintenance-mih" title="Maintenance">🚧</a> <a href="#plugin-mih" title="Plugin/utility libraries">🔌</a> <a href="#projectManagement-mih" title="Project Management">📆</a> <a href="#review-mih" title="Reviewed Pull Requests">👀</a> <a href="#tool-mih" title="Tools">🔧</a> <a href="https://github.com/datalad-handbook/book/commits?author=mih" title="Tests">⚠️</a> <a href="#talk-mih" title="Talks">📢</a> <a href="#userTesting-mih" title="User Testing">📓</a></td>
    <td align="center"><a href="https://github.com/kyleam"><img src="https://avatars2.githubusercontent.com/u/1297788?v=4" width="100px;" alt="Kyle Meyer"/><br /><sub><b>Kyle Meyer</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Akyleam" title="Bug reports">🐛</a> <a href="#review-kyleam" title="Reviewed Pull Requests">👀</a> <a href="#question-kyleam" title="Answering Questions">💬</a> <a href="#content-kyleam" title="Content">🖋</a> <a href="#ideas-kyleam" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="https://github.com/marisaheckner"><img src="https://avatars2.githubusercontent.com/u/52243533?v=4" width="100px;" alt="marisaheckner"/><br /><sub><b>marisaheckner</b></sub></a><br /><a href="#ideas-marisaheckner" title="Ideas, Planning, & Feedback">🤔</a> <a href="#userTesting-marisaheckner" title="User Testing">📓</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Amarisaheckner" title="Bug reports">🐛</a> <a href="#content-marisaheckner" title="Content">🖋</a></td>
    <td align="center"><a href="https://github.com/bpoldrack"><img src="https://avatars2.githubusercontent.com/u/10498301?v=4" width="100px;" alt="Benjamin Poldrack"/><br /><sub><b>Benjamin Poldrack</b></sub></a><br /><a href="#question-bpoldrack" title="Answering Questions">💬</a> <a href="#ideas-bpoldrack" title="Ideas, Planning, & Feedback">🤔</a> <a href="#example-bpoldrack" title="Examples">💡</a> <a href="#tutorial-bpoldrack" title="Tutorials">✅</a></td>
  </tr>
</table>

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
