############
Introduction
############

.. toctree::
   :maxdepth: 1
   :caption: What DataLad is all about

   intro/philosophy
   intro/narrative
   intro/installation
   intro/howto


#####################
Starting from scratch
#####################

.. toctree::
   :maxdepth: 1
   :caption: The bare necessities

   basics/101-101-create
   basics/101-102-populate
   basics/101-103-modify
   basics/101-104-summary


###################
Basic dataset magic
###################

.. toctree::
   :maxdepth: 1
   :caption: A closer look at datasets

   basics/101-105-install
   basics/101-106-nesting
   basics/101-107-summary


#############
Datalad, Run!
#############

.. toctree::
   :maxdepth: 1
   :caption: How DataLad records provenance of dataset modifications

   basics/101-108-run
   basics/101-109-rerun
   basics/101-110-run2
   basics/101-111-run3
   basics/101-112-run4
   basics/101-113-summary


###################
Basics on Git-annex
###################

.. toctree::
   :maxdepth: 1
   :caption: A closer look at how and why things work

   basics/101-114-txt2git
   basics/101-115-symlinks

#####################
Sharing a dataset [1]
#####################

.. toctree::
   :maxdepth: 1
   :caption: Sharing on shared file systems

   basics/101-116-sharelocal
   basics/101-117-sharelocal2
   basics/101-118-sharelocal3
   basics/101-119-sharelocal4
   basics/101-120-summary
   basics/101-121-siblings
   basics/101-125-config
   basics/101-126-config2

#############
Help yourself
#############

.. toctree::
   :maxdepth: 1
   :caption: What to do if things go wrong

   basics/101-135-help

#########################
Data analyses in datasets
#########################

.. toctree::
   :maxdepth: 1
   :caption: Organizational principles and best practices for data analyses

   basics/101-122-intro
   basics/101-123-yoda
   basics/101-124-summary

#########
Use Cases
#########

.. toctree::
   :maxdepth: 1
   :caption: Hands-on real-world applications with step-by-step recipes...

   usecases/reproducible-paper


########
Appendix
########

.. toctree::
   :maxdepth: 1
   :caption: Further information and references

   glossary
   contributing

* :ref:`genindex`
* :ref:`search`

..

  stuff that we don't need or show at the moment

.. toctree::
   :hidden:

   usecases/datasets
